-- Throttle
--
-- Version 1.0
-- Autor Ralf08
-- 
-- Change log:
-- 10.01.2016 / Ralf08 / Release



Throttle = {};

local Throttle_directory = g_currentModDirectory;

function Throttle:load()
	self.throttle_vmax = math.floor(self.motor.maxForwardSpeed * 3.6)
end;

function Throttle:delete()
end;

function Throttle:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Throttle:keyEvent(unicode, sym, modifier, isDown)
end;


function Throttle:update(dt)
			
	if self.isEntered and self.isClient and not self.isHired then
		local thro_axis = InputBinding.getAnalogInputAxis(InputBinding.THROTTLE_AXIS)
		throttle_vget = (math.floor((((self.throttle_vmax + 2) / 2 * math.abs((thro_axis + 1)))) + 0.5))-1
		if throttle_vget < 0 then
			throttle_vget = 0;
		end;
		
		if throttle_vget == 0 then
			self:setCruiseControlState(Drivable.CRUISECONTROL_STATE_OFF);
		elseif throttle_vget ~= self.cruiseControl.speed then
			if self.cruiseControl.state == Drivable.CRUISECONTROL_STATE_OFF then
				self:setCruiseControlState(Drivable.CRUISECONTROL_STATE_ACTIVE);
			end;
			self:setCruiseControlMaxSpeed(throttle_vget);
		end;
	end;
end;

function Throttle:updateTick(dt)
end;

function Throttle:readStream(streamId, connection)
end;

function Throttle:writeStream(streamId, connection)
end;


function Throttle:onEnter()
end;

function Throttle:onLeave()
end;

function Throttle:draw()
end;
